Name: npth
Version: 1.6
Release: 0
License: GPL-3.0-or-later
Summary: GNU Pth (Portable Threads) API
Url: https://gnupg.org/software/npth/index.html

Source0: https://gnupg.org/ftp/gcrypt/npth/npth-%{version}.tar.bz2

BuildRequires: libtool
BuildRequires: autoconf
BuildRequires: automake

%description
nPth is a library to provide the GNU Pth API and thus a non-preemptive threads
implementation.

In contrast to GNU Pth is is based on the system's standard threads
implementation. This allows the use of libraries which are not compatible to
GNU Pth. Experience with a Windows Pth emulation showed that this is a solid
way to provide a co-routine based framework.


%package devel
Summary: npth development files

Requires: libnpth0 = %{version}-%{release}

%description devel
%summary


%package -n libnpth0
Summary: libksba library

%description -n libnpth0
%summary


%prep

%setup -q -n %{name}-%{version}


%build

autoreconf -fi

%configure \
  LDFLAGS="-Wl,-blibpath:%{_libdir}:/QOpenSys/usr/lib" \
  --enable-shared \
  --disable-static \
  --with-aix-soname=svr4

%make_build


%install

%make_install

# don't ship .la file
rm %{buildroot}/%{_libdir}/libnpth.la


%files devel
%defattr(-, qsys, *none)

%{_bindir}/npth-config

%{_includedir}/npth.h

%{_libdir}/libnpth.so

%{_datadir}/aclocal/npth.m4


%files -n libnpth0
%defattr(-, qsys, *none)

%{_libdir}/libnpth.so.0


%changelog
* Tue Feb 11 2020 Mark Irish <mirish@ibm.com> - 1.6
- Intial package